What are the system requirements?

Lutify.me can be used with most photo and video software. Here are some of the most popular software supported:

Adobe Photoshop CS6 and above
Adobe Lightroom
Capture One Pro
ON1 Photo RAW
Skylum Luminar
DaVinci Resolve
Adobe Premiere Pro CS6 and above* (CC highly recommended)
Adobe After Effects CS4 and above* (CS6 recommended)
Adobe Speedgrade
GoPro Cineform Studio
Final Cut Pro X
Sony Vegas**
Avid Media Composes 7 and above
The Foundry NUKE
Affinity Photo
HitFilm4 and above
Wondershare Filmora
Autodesk Flame
Assimilate Scratch
CyberLink ColorDirector 4
and more

*For After Effects CS4/CS5 and Premiere Pro CS6 you need now discontinued Magic Bullet LUT buddy plugin. After Effects CS6 and above and Premiere Pro CC support LUTs natively.
**For Sony Vegas you need a free LUT plugin from Vision Color.

Still need help?

Got any questions or need help with something? Feel free to write to us, our support team will be happy to assist you.

Our working times are from Monday – Friday, 09:00 – 19:00 GMT/UTC + 02:00.

The easiest and fastest way to preview and create LUTs is here. Create and export LUTs, import 3rd party LUTs and quickly select the best LUT for your grade. Start your 14-days free trial.